/*!
 * Copyright (c) 2012, Smartrak, David Leaver
 * Leaflet.utfgrid is an open-source JavaScript library that provides utfgrid interaction on leaflet powered maps.
 * https://github.com/danzel/Leaflet.utfgrid
 *
 * @license MIT
 */
!function(window,undefined){L.ajax=function(url,success,error){window.XMLHttpRequest===undefined&&(window.XMLHttpRequest=function(){try{return new ActiveXObject("Microsoft.XMLHTTP")}catch(t){throw new Error("XMLHttpRequest is not supported")}});var response,request=new XMLHttpRequest;return request.open("GET",url),request.onreadystatechange=function(){4===request.readyState&&(200===request.status?(response=window.JSON?JSON.parse(request.responseText):eval("("+request.responseText+")"),success(response)):0!==request.status&&error!==undefined&&error(request.status))},request.ontimeout=function(){error("timeout")},request.send(),request},L.UtfGrid=(L.Layer||L.Class).extend({includes:L.Evented,options:{subdomains:"abc",minZoom:0,maxZoom:18,tileSize:256,resolution:4,useJsonP:!0,pointerCursor:!0,maxRequests:4,requestTimeout:6e4},_mouseOn:null,initialize:function(t,e){L.Util.setOptions(this,e),this._requests={},this._request_queue=[],this._requests_in_process=[],this._url=t,this._cache={};for(var s=0;window["lu"+s];)s++;this._windowKey="lu"+s,window[this._windowKey]={};var i=this.options.subdomains;"string"==typeof this.options.subdomains&&(this.options.subdomains=i.split(""))},onAdd:function(t){this._map=t,this._container=this._map._container,this._update();var e=Math.round(this._map.getZoom());e>this.options.maxZoom||e<this.options.minZoom||(t.on("click",this._click,this),t.on("mousemove",this._move,this),t.on("moveend",this._update,this))},onRemove:function(){var t=this._map;t.off("click",this._click,this),t.off("mousemove",this._move,this),t.off("moveend",this._update,this),this.options.pointerCursor&&(this._container.style.cursor="")},setUrl:function(t,e){return this._url=t,e||this.redraw(),this},redraw:function(){this._request_queue=[];for(var t in this._requests)this._requests.hasOwnProperty(t)&&this._abort_request(t);this._cache={},this._update()},_click:function(t){this.fire("click",this._objectForEvent(t))},_move:function(t){var e=this._objectForEvent(t);e.data!==this._mouseOn?(this._mouseOn&&(this.fire("mouseout",{latlng:t.latlng,data:this._mouseOn}),this.options.pointerCursor&&(this._container.style.cursor="")),e.data&&(this.fire("mouseover",e),this.options.pointerCursor&&(this._container.style.cursor="pointer")),this._mouseOn=e.data):e.data&&this.fire("mousemove",e)},_objectForEvent:function(t){var e=this._map,s=e.project(t.latlng),i=this.options.tileSize,o=this.options.resolution,r=Math.floor(s.x/i),n=Math.floor(s.y/i),u=Math.floor((s.x-r*i)/o),a=Math.floor((s.y-n*i)/o),h=e.options.crs.scale(e.getZoom())/i;r=(r+h)%h,n=(n+h)%h;var _=this._cache[e.getZoom()+"_"+r+"_"+n],c=null;if(_&&_.grid){var l=this._utfDecode(_.grid[a].charCodeAt(u)),d=_.keys[l];_.data.hasOwnProperty(d)&&(c=_.data[d])}return L.extend({latlng:t.latlng,data:c},t)},_update:function(){var t=this._map.getPixelBounds(),e=Math.round(this._map.getZoom()),s=this.options.tileSize;if(!(e>this.options.maxZoom||e<this.options.minZoom)){for(var i=new L.Point(Math.floor(t.min.x/s),Math.floor(t.min.y/s)),o=new L.Point(Math.floor(t.max.x/s),Math.floor(t.max.y/s)),r=this._map.options.crs.scale(e)/s,n=[],u=i.x;u<=o.x;u++)for(var a=i.y;a<=o.y;a++){var h=(u+r)%r,_=(a+r)%r,c=e+"_"+h+"_"+_;n.push(c),this._cache.hasOwnProperty(c)||(this._cache[c]=null,this.options.useJsonP?this._loadTileP(e,h,_):this._loadTile(e,h,_))}for(var l in this._requests)n.indexOf(l)<0&&this._abort_request(l)}},_loadTileP:function(t,e,s){var i=document.getElementsByTagName("head")[0],o=t+"_"+e+"_"+s,r="lu_"+o,n=this._windowKey,u=this,a=L.Util.template(this._url,L.Util.extend({s:L.TileLayer.prototype._getSubdomain.call(this,{x:e,y:s}),z:t,x:e,y:s,cb:n+"."+r},this.options)),h=document.createElement("script");h.setAttribute("type","text/javascript"),h.setAttribute("src",a),window[n][r]=function(t){u._cache[o]=t,delete window[n][r],h.parentElement===i&&i.removeChild(h),u._finish_request(o)},this._queue_request(o,a,function(){return i.appendChild(h),{abort:function(){i.removeChild(h)}}})},_loadTile:function(t,e,s){var i=L.Util.template(this._url,L.Util.extend({s:L.TileLayer.prototype._getSubdomain.call(this,{x:e,y:s}),z:t,x:e,y:s},this.options)),o=t+"_"+e+"_"+s;this._queue_request(o,i,this._ajaxRequestFactory(o,i))},_ajaxRequestFactory:function(t,e){var s=this._successCallbackFactory(t),i=this._errorCallbackFactory(e);return function(){var t=L.ajax(e,s,i);return t.timeout=this.options.requestTimeout,t}.bind(this)},_successCallbackFactory:function(t){return function(e){this._cache[t]=e,this._finish_request(t)}.bind(this)},_errorCallbackFactory:function(t){return function(e){this.fire("tileerror",{url:t,code:e})}.bind(this)},_queue_request:function(t,e,s){this._requests[t]={callback:s,timeout:null,handler:null,url:e},this._request_queue.push(t),this._process_queued_requests()},_finish_request:function(t){var e=this._requests_in_process.indexOf(t);e>=0&&this._requests_in_process.splice(e,1),e=this._request_queue.indexOf(t),e>=0&&this._request_queue.splice(e,1),this._requests[t]&&(this._requests[t].timeout&&window.clearTimeout(this._requests[t].timeout),delete this._requests[t]),this._process_queued_requests(),0===this._requests_in_process.length&&this.fire("load")},_abort_request:function(t){this._requests[t]&&this._requests[t].handler&&"function"==typeof this._requests[t].handler.abort&&this._requests[t].handler.abort(),null===this._cache[t]&&delete this._cache[t],this._finish_request(t)},_process_queued_requests:function(){for(;this._request_queue.length>0&&(0===this.options.maxRequests||this._requests_in_process.length<this.options.maxRequests);)this._process_request(this._request_queue.pop())},_process_request:function(t){this._requests_in_process.push(t);var e=this._requests[t].callback();if(this._requests[t]&&(this._requests[t].handler=e,e.timeout===undefined)){var s=this._timeoutCallbackFactory(t);this._requests[t].timeout=window.setTimeout(s,this.options.requestTimeout)}},_timeoutCallbackFactory:function(t){var e=this._requests[t].url;return function(){this.fire("tileerror",{url:e,code:"timeout"}),this._abort_request(t)}.bind(this)},_utfDecode:function(t){return t>=93&&t--,t>=35&&t--,t-32}}),L.utfGrid=function(t,e){return new L.UtfGrid(t,e)}}(window);;